%global _empty_manifest_terminate_build 0
Name:		python-abclient
Version:	0.2.3
Release:	1
Summary:	Python client library for EISOO AnyBackup API
License:	Apache 2.0
URL:		https://global.eisoo.com/
Source0:	https://files.pythonhosted.org/packages/49/eb/091b02c1e36d68927adfb746706e2c80f7e7bfb3f16e3cbcfec2632118ab/abclient-0.2.3.tar.gz
BuildArch:	noarch


%description
**abclient** is a client library for EISOO AnyBackup APIs.
**abclient** allows openstack-karbor to create backups for databases and filesystems.

%package -n python3-abclient
Summary:	Python client library for EISOO AnyBackup API
Provides:	python-abclient
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-abclient
**abclient** is a client library for EISOO AnyBackup APIs.
**abclient** allows openstack-karbor to create backups for databases and filesystems.

%package help
Summary:	Development documents and examples for abclient
Provides:	python3-abclient-doc
%description help
**abclient** is a client library for EISOO AnyBackup APIs.
**abclient** allows openstack-karbor to create backups for databases and filesystems.

%prep
%autosetup -n abclient-0.2.3

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-abclient -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jun 30 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
